//+------------------------------------------------------------------+
//|                                                          Flc.mqh |
//|                                             Copyright 2010, Alf. |
//+------------------------------------------------------------------+
#property copyright "Copyright 2010, Alf."
#property link      "http://forum.liteforex.org/showthread.php?t=999"

#import "ffllapi.dll"
   // Create a model object that contains the fuzzy logic model.
   // Return: int: The index of the model created or 1 if error.
   int ffll_new_model(); 
   
   // Closes the FFLL model (and all it's children)
   ///model_idx  Index of the model to load the file into.
   // Return: int: 0 if success or 1 if error.
   int ffll_close_model(int model_idx); 
   
   // Creates a fuzzy model from a file in the IEC 61131-7 Fuzzy Control Language (FCL) format.
   // model_idx  Index of the model to load the file into.
   // file - Path and name of the file to load. 
   // Return: int: The index of the model loaded if success or -1 if error.
   int ffll_load_fcl_file(int model_idx, string file); 
   
   // Create a child for the model.
   // model_idx - Index of the model to create the child for.
   // Return: int: The index of the model loaded if success or -1 if error.
   int ffll_new_child(int model_idx);
   
   //Sets the value for an input variable in a child.
   // model_idx - Index of the model the child belongs to.
   // child_idx - Index of the child to set the value for.
   // var_idx - Index of the variable to set the value for.
   // value - Value to set the variable to. 
   // Return: int: Zero if success or -1 if error.
   int ffll_set_value(int model_idx, int child_idx, int var_idx, double value); 
   
   //Gets the defuzzified output value for a child.
   // model_idx - Index of the model the child belongs to.
   // child_idx - Index of the child to get the output value for. 
   // Return: double : The defuzzified value for the child, if no rules fired FLT_MIN is returned.
   double ffll_get_output_value(int model_idx, int child_idx);
   
   //This function returns the text of the "current message" associated with the model index passed in. 
   //The message may be an error or warning. This function should be called when an API function returns an error.
   //Return: Text of the message, or NULL if no message
   string ffll_get_msg_textA(int model_idx);

#import
